Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# TAO_Thread_Per_Connection_Handler Class Reference

Definition for the thread-per-connection strategy. More...

`#include <Thread_Per_Connection_Handler.h>`

Inheritance diagram for TAO_Thread_Per_Connection_Handler:

[legend]
Collaboration diagram for TAO_Thread_Per_Connection_Handler:

[legend]
List of all members.

## Public Methods
| TAO_Thread_Per_Connection_Handler (TAO_Connection_Handler *ch)
| ~TAO_Thread_Per_Connection_Handler (void)
virtual int | activate (long flags=THR_NEW_LWP, int n_threads=1, int force_active=0, long priority=ACE_DEFAULT_THREAD_PRIORITY, int grp_id=-1, ACE_Task_Base *task=0, ACE_hthread_t thread_handles[]=0, void *stack[]=0, size_t stack_size[]=0, ACE_thread_t thread_names[]=0)
| = Active object activation method.
virtual int | svc (void)
| Template hook method that the thread uses...
virtual int | open (void *)
virtual int | close (u_long)
## Private Attributes
TAO_Connection_Handler * | ch_

## Detailed Description

Definition for the thread-per-connection strategy.

This object acts as an active object, encapsulating the protocol specific handler which the active thread uses to process incoming messages.

## Constructor & Destructor Documentation

TAO_Thread_Per_Connection_Handler::TAO_Thread_Per_Connection_Handler | ( | TAO_Connection_Handler * | ch | ) |

TAO_Thread_Per_Connection_Handler::~TAO_Thread_Per_Connection_Handler | ( | void |  | ) |

## Member Function Documentation

int TAO_Thread_Per_Connection_Handler::activate | ( | long | flags = THR_NEW_LWP,
|  | int | n_threads = 1,
|  | int | force_active = 0,
|  | long | priority = ACE_DEFAULT_THREAD_PRIORITY,
|  | int | grp_id = -1,
|  | ACE_Task_Base * | task = 0,
|  | ACE_hthread_t | thread_handles[] = 0,
|  | void * | stack[] = 0,
|  | size_t | stack_size[] = 0,
|  | ACE_thread_t | thread_names[] = 0
| ) | `[virtual]`

| = Active object activation method. Reimplemented from ACE_Task_Base.

int TAO_Thread_Per_Connection_Handler::close | ( | u_long |  | ) | `[virtual]`

| Reimplemented from ACE_Task_Base.

int TAO_Thread_Per_Connection_Handler::open | ( | void * |  | ) | `[virtual]`

| Reimplemented from ACE_Task_Base.

int TAO_Thread_Per_Connection_Handler::svc | ( | void |  | ) | `[virtual]`

| Template hook method that the thread uses... Please see the documentation in ace/Task.h for details. Reimplemented from ACE_Task_Base.

## Member Data Documentation

TAO_Connection_Handler* TAO_Thread_Per_Connection_Handler::ch_`[private]`

| Pointer to protocsol specific code that does the bunch of the job.

The documentation for this class was generated from the following files:

- Thread_Per_Connection_Handler.h
- Thread_Per_Connection_Handler.cpp